elisa-player (25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 13:44:26 +0000

elisa-player (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:17:38 +0000

elisa-player (25.12.1-1ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:36:51 +0000

elisa-player (25.12.1-1ubuntu2) resolute; urgency=medium

  * d/rules: Don't pass -Skf5 to dh_auto_configure.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jan 2026 15:59:22 +0000

elisa-player (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 12:12:06 +0000

elisa-player (25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Update project homepage.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Jan 2026 00:02:29 +0100

elisa-player (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:56:51 +0000

elisa-player (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:13:33 +0000

elisa-player (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:58:29 +0000

elisa-player (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Nov 2025 15:33:29 +0000

elisa-player (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 09:14:45 +0000

elisa-player (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Oct 2025 08:53:20 +0100

elisa-player (25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:10:45 +0100

elisa-player (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:42:14 +0100

elisa-player (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:30:05 +0100

elisa-player (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Jul 2025 07:02:33 +0100

elisa-player (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 09:55:17 +0100

elisa-player (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Jul 2025 15:42:38 +0100

elisa-player (25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Jun 2025 07:25:12 +0100

elisa-player (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Don't link QtCorePrivate in test.
  * New upstream release (25.04.2).
    - Qml/ContextView: don't show Lyrics when they're invisible. (kde#504198)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:55:13 +0200

elisa-player (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 10:35:54 +0100

elisa-player (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:00:28 +0100

elisa-player (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:45:14 +0200

elisa-player (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:41:18 +0100

elisa-player (24.12.3-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:43 -0500

elisa-player (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 16:00:23 +0000

elisa-player (24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:24:02 +0100

elisa-player (24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Mar 2025 22:34:22 +0100

elisa-player (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 21:58:46 +0100

elisa-player (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 22:53:20 +0100

elisa-player (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Replace manual management of runtime QML dependencies with dh_qmldeps.
  * New upstream release (24.08.2).
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Oct 2024 23:15:46 +0200

elisa-player (24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing QML runtime dependencies.
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Switch build dependency from transitional pkg-config to pkgconf.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 12:12:27 +0200

elisa-player (24.05.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 01:03:05 +0200

elisa-player (23.08.5-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on libkf6baloo-dev (Closes: #1080104)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 10 Sep 2024 23:11:18 +0200

elisa-player (23.08.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - compatible with newer versions of the Baloo Framework (Closes: #1071305)
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.105.0
  * Bump Standards-Version to 4.7.0, no changes required.
  * Temporary switch the watch file to Attic, since we are following KF5
    versions for now.

 -- Pino Toscano <pino@debian.org>  Thu, 23 May 2024 12:06:08 +0200

elisa-player (23.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (23.04.2).
  * Drop patch applied upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Jun 2023 00:00:48 +0200

elisa-player (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:43 +0100

elisa-player (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 07:51:48 +0100

elisa-player (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:20 +0100

elisa-player (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:26 +0100

elisa-player (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:48 +0100

elisa-player (22.08.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Backport ustream patch to hopefully fix playback stuttering.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Nov 2022 17:05:19 +0100

elisa-player (22.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.90.0
    - drop the manually specified libkf5filemetadata3, already pulled in by
      libkf5filemetadata-dev
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Do not run the test suite during build time: there are two tests failing
    (mediaplaylistproxymodelTest, elisaqmltests), and they fail on the upstream
    CI as well; since upstream seems to ignore their failures, so we can do too
    (Closes: #1013576)
    - pass -DBUILD_TESTING=OFF to cmake to stop building them
    - make override_dh_auto_test an empty override
    - drop the test-only build dependencies: dbus, libkf5filemetadata-bin,
      libqt5multimedia5-plugins, libqt5sql5-sqlite, qml-module-qtmultimedia,
      qml-module-qtqml-models2, qml-module-qtquick-controls,
      qml-module-qtquick-controls2, qml-module-qtquick-layouts,
      qml-module-qttest, xauth, and xvfb
  * Update lintian overrides.
  * CI: ignore reprotest build path variations.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Oct 2022 07:16:55 +0200

elisa-player (21.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Nov 2021 08:42:57 +0100

elisa-player (21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:52:25 +0900

elisa-player (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.
  * Drop upstream patch.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 14:49:21 +0900

elisa-player (21.08.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry pick upstream fix for broken files view.

 -- Norbert Preining <norbert@preining.info>  Thu, 26 Aug 2021 01:23:51 +0900

elisa-player (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:44:33 +0900

elisa-player (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 09:48:52 +0900

elisa-player (21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:23:23 +0900

elisa-player (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:04:36 +0900

elisa-player (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Add myself to uploaders.
  * Update dependencies from cmake.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 10:15:41 +0900

elisa-player (20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 06 Mar 2021 23:53:35 +0100

elisa-player (20.12.2-2) unstable; urgency=medium

  * Team upload.
  * Drop the 'show-command-line-help' autopkgtest, as it is not that useful.
  * Remove the creation of custom $HOME, $TMPDIR, and $XDG_RUNTIME_DIR
    directories when running dh_auto_test, as debhelper does that already in
    compatibility 13+ (already in use).
  * Explicitly add the gettext, and pkg-config build dependencies.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Feb 2021 12:23:58 +0100

elisa-player (20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 12:48:24 +0100

elisa-player (20.12.1-1) unstable; urgency=medium

  * Refresh upstream metadata.
  * Bump Standards-Version to 4.5.1 (no change required).
  * Cleanup copyright information.
  * Update project homepage.
  * Update Vcs- fields.
  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 22:24:04 +0100

elisa-player (20.12.0-1) unstable; urgency=medium

  * Fix watch file.
  * New upstream release (20.12.0).
  * Bump build dependencies according to upstream build system:
    - Qt >= 5.14
  * Add runtime dependencies to QML modules.
  * Refresh copyright information.
  * Normalize GitLab CI/CD pipeline to salsa-ci.yml to match the rest of the
    team’s packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Dec 2020 16:51:08 +0100

elisa-player (20.08.2-1) unstable; urgency=medium

  * New upstream release (20.08.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Oct 2020 00:25:18 +0100

elisa-player (20.08.1-1) unstable; urgency=medium

  * Fix failing test that required a dbus session.
  * New upstream release (20.08.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 09 Sep 2020 23:21:51 +0200

elisa-player (20.08.0-1) unstable; urgency=medium

  * Use KDE Applications website as homepage.
  * New upstream release (20.08.0).
  * Bump build dependencies according to upstream build system:
    - Qt >= 5.11
    - KDE Frameworks >= 5.70
  * Lintian override rename: binary-without-manpage => no-manual-page.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 14 Aug 2020 00:04:46 +0200

elisa-player (20.04.2-1) unstable; urgency=medium

  * New upstream release (20.04.2):
    - Avoid Elisa prevent session close.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 13 Jun 2020 12:41:58 +0200

elisa-player (20.04.1-1) unstable; urgency=medium

  * New upstream release (20.04.1).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 03 Jun 2020 22:50:35 +0200

elisa-player (20.04.0-1) experimental; urgency=medium

  * New upstream release (20.04.0):
    - Added a `now playing’ view.
    - Elisa can be minimized to the system tray and controlled from there.
    - Bump KDE frameworks dependencies to 5.64 or above.
  * Remove explicit --as-needed from linker flags, it’s now injected by
    default.
  * Bump standards version to 4.5.0 (no change required).
  * Bump debhelper compat level to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 May 2020 12:45:05 +0200

elisa-player (19.12.3-1) unstable; urgency=medium

  * Use <!nocheck> profile to flag build dependencies only required for tests.
  * New upstream minor release (19.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Mar 2020 10:12:33 +0100

elisa-player (19.12.2-1) unstable; urgency=medium

  * Borrow minimal upstream signing key from k3b.
  * Add dependency to breeze-icon-theme to fix missing icons in non-KDE
    desktops.
  * New upstream release (19.12.2).
  * Simplify debian/rules with execute_after_dh_auto_clean.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 06 Feb 2020 16:40:00 +0100

elisa-player (19.12.1-1) unstable; urgency=medium

  * New upstream minor release 19.12.1.
  * debian/control: review and improve dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2020 15:59:05 +0100

elisa-player (19.12.0-2) unstable; urgency=medium

  * Update watch file to the new release-service location.
  * Add libkf5doctools-dev build dependency to also build elisa handbook
    (thanks to Rik Mills for the catch).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2020 15:51:56 +0100

elisa-player (19.12.0-1) unstable; urgency=medium

  * New upstream release 19.12.0:
    - Now part of the official KDE Applications releases
    - Better support for high DPI screens
    - Improved music indexing
    - Support for web radios
  * Refresh dependencies according to upstream build system:
    - Qt >= 5.11
    - KDE Frameworks >= 5.60
  * Update debian/copyright.
  * Bump standards version to 4.4.1 (no change needed).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 Dec 2019 22:26:58 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog elisa`.
